## r-cran-svunit 1.0.6

=== DESCRIPTION ===
Package: svUnit
Type: Package
Version: 1.0.6
Date: 2021-04-18
Title: 'SciViews' - Unit, Integration and System Testing
Description: A complete unit test system and functions to implement its GUI part.
Authors@R: c(person("Philippe", "Grosjean", role = c("aut", "cre"),
  email = "phgrosjean@sciviews.org",
  comment = c(ORCID = "0000-0002-2694-9471")))
Maintainer: Philippe Grosjean <phgrosjean@sciviews.org>
Depends: R (>= 1.9.0)
Imports: utils
Suggests: svGUI, datasets, XML, RUnit, knitr, markdown, covr, spelling
License: GPL-2
URL: https://github.com/SciViews/svUnit,
        https://www.sciviews.org/svUnit/
BugReports: https://github.com/SciViews/svUnit/issues
RoxygenNote: 7.1.0
VignetteBuilder: knitr
Encoding: UTF-8
Language: en-US
NeedsCompilation: no
Packaged: 2021-04-18 19:35:28 UTC; phgrosjean
Author: Philippe Grosjean [aut, cre] (<https://orcid.org/0000-0002-2694-9471>)
Repository: CRAN
Date/Publication: 2021-04-19 05:20:02 UTC

=== debian/changelog ===
r-cran-svunit (1.0.6-2) unstable; urgency=medium

  * Team upload.
    + Source-only upload for testing migration.

 -- Nilesh Patra <nilesh@debian.org>  Sun, 07 Nov 2021 20:14:24 +0530

r-cran-svunit (1.0.6-1) unstable; urgency=medium

  * Initial release (closes: #994541)

 -- Steffen Moeller <moeller@debian.org>  Thu, 16 Sep 2021 22:42:11 +0200

=== debian/control ===
Source: r-cran-svunit
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-svunit
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-svunit.git
Homepage: https://cran.r-project.org/package=svUnit
Rules-Requires-Root: no

Package: r-cran-svunit
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: SciViews - Unit, Integration and System Testing
 A complete unit test system and functions to implement its GUI part.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/svUnit_([-\d.]*)\.tar\.gz

## r-cran-svunit 1.0.8

=== debian/changelog ===
r-cran-svunit (1.0.8-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Registry, Repository-Browse.
  * Manually adjust r-cran-xml version number.

 -- Charles Plessy <plessy@debian.org>  Fri, 13 Feb 2026 14:06:37 +0900

=== debian/control ===
Source: r-cran-svunit
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Steffen Moeller <moeller@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-svunit
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-svunit.git
Homepage: https://cran.r-project.org/package=svUnit
Rules-Requires-Root: no

Package: r-cran-svunit
Architecture: all
Depends:
 ${R:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: SciViews - Unit, Integration and System Testing
 A complete unit test system and functions to implement its GUI part.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-xml (>= 3.99-0.10),
 r-cran-runit (>= 0.4.30),
 r-cran-covr (>= 3.5.0),
 r-cran-knitr (>= 1.42),
 r-cran-rmarkdown (>= 2.21),
 r-cran-spelling (>= 2.2.1),
